import request from '@/utils/request'

// 查询更多功能列表
export function listMallConfigFunction(query) {
  return request({
    url: '/mall/mallConfigFunction/list',
    method: 'get',
    params: query
  })
}

// 查询更多功能详细
export function getMallConfigFunction(configFunctionId) {
  return request({
    url: '/mall/mallConfigFunction/' + configFunctionId,
    method: 'get'
  })
}

// 新增更多功能
export function addMallConfigFunction(data) {
  return request({
    url: '/mall/mallConfigFunction',
    method: 'post',
    data: data
  })
}

// 修改更多功能
export function updateMallConfigFunction(data) {
  return request({
    url: '/mall/mallConfigFunction',
    method: 'put',
    data: data
  })
}

// 删除更多功能
export function delMallConfigFunction(configFunctionId) {
  return request({
    url: '/mall/mallConfigFunction/' + configFunctionId,
    method: 'delete'
  })
}
